Check if a domain is taken or available

Quickly check if a desired domain name is available for registration. This is useful when you want to see if a domain name is available before starting a registration process or making changes.

Domain Services Domains

Context

Headers

Accept Example
Content-Type Example

Body

required
application/json
domain string required · Example: example.com

Responses

200
data object required
data.exists boolean required · Example: false
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domain-exists
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domain-exists" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domain": "example.com"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "exists": false
  }
}
Request Body Example 1
{
  "domain": "example.com"
}